Description

qlr files are filtered out from the browser, so I do not see an easy way of adding them

Associated revisions

Revision fcf2fcae - 2017-09-20 06:09 AM - Nyall Dawson

[FEATURE] Show qlr files in browser

Fixes #10737

History

#1 - 2014-10-06 05:55 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#2 - 2014-12-19 08:22 AM - Sandra Lopes

The new layer definition files added recently ist's really great.

But it’s only possible to add .qrl file to a QGIS project through the menu Layer, option add from layer definition file… or by drag and drop the .qlr directly into

the GUI, like it is currently possible to do with supported data files.

It would be nice an easy way like a button similar to the Add Vector Layer.

Another thing that could be equal to the Add Vector layer is the possibility to add more than one file at once.

#3 - 2014-12-20 01:56 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#4 - 2017-01-13 02:27 AM - Sylvain M.

I confirm the interest of having a button to add QLR directly into QGis.

I add a problem that I encounter every time I open QLR layers : unlike all the other buttons and menus for adding layers, QGis does not remember the last

folder used and points to C:\\Users\\myusername.

This forces us to re-examine the entire tree to access each data.

#5 - 2017-01-16 03:06 AM - Mats Elfstrom

I second this motion strongly. In the process of setting up a shared QGIS environment, I planned to use *.qlr files to distribute predefined layers for users. It

was a surprise that they are missing from the Browser.

Adding the file type there, and making it possible to drag or doubleklick them to add them to the canvas does not seem like a difficult task. Will this be fixed

in 3.0?
#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-08-31 07:14 PM - olivier olivier

Hi,

In 2.18 it's possible to drag/drop qlr files to canvas.

Olivier

#8 - 2017-09-01 12:26 AM - Nyall Dawson

- Status changed from Open to Feedback

So this can be closed?

#9 - 2017-09-01 07:58 AM - Dominique Lyszczarz

Qlr files are still missing from the browser, this is an annoying issue for those who mainly use it for loading data. Hope to see this fixed in 3.0

#10 - 2017-09-01 04:51 PM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2017-09-20 09:19 PM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fcf2fcae5abfb909288a65f2872746495b3a3fce.

#12 - 2018-09-04 04:25 PM - Sandra Lopes

Sylvain M. wrote:

I confirm the interest of having a button to add QLR directly into QGis.

I add a problem that I encounter every time I open QLR layers : unlike all the other buttons and menus for adding layers, QGis does not remember

the last folder used and points to C:\\Users\\myusername.

This forces us to re-examine the entire tree to access each data.

Actually QGIS stil does not remember the last folder used in this tool and points to C:\\Users\\myusername
